Carbide.vs v3.0 下启用 S60 3rd FP2 SDK 以及 UIQ 3 SDK

在 Visual Studio 2005 下安装 Carbide.vs 3.0 之后,才发现之前安装的 S60 3rd FP2 和 UIQ 3 的 SDK 都处于不能使用的状态,只有 S60 2nd FP3 是可用状态。

网上搜索后找到了解决办法。对于 S60 3rd FP2 的 SDK,可以参看 http://wiki.forum.nokia.com/index.php/S60_3rd_Edition_SDK_FP2_-_Workarounds_and_Updates 中的方法(老汉的境况属于 case II,所以把 S60_3rd_FP2_v3.xml 下载下来复制到 C:\Program Files\Common Files\Symbian\SDK Descriptors\Nokia 目录下后立刻就好了);对于 UIQ 3 的 SDK,可以到 https://developer.uiq.com/devtools_tools.html#carbideVS 处下载 Carbides.vs plugin 3.0.1a UIQ Support Package 后安装即可。

其实老汉的机器上真正还想用的 SDK 还有一个,就是大七(7710)的 SDK,可惜得很,没有现成的 XML 文件可用,看来只能自己琢磨着写一个了。照着现有的文件,吭哧吭哧写了半晌,发现 7710 的 SDK 和别的都不一样,竟然只有 WINS 环境,于是只好再改。改完了仍然是不能用,到网上一查,才知道 Carbide.vs 3.0 已经把 WINS 环境抛弃了(参见:http://discussion.forum.nokia.com/forum/showthread.php?t=120223 的第 14 楼)。只好再次寄望于 WINSCW,接着就又搜到 http://discussion.forum.nokia.com/forum/showthread.php?t=57156,看楼主的描述,似乎有一个专门用于 CodeWarrior 的 7710 SDK 的版本(这个版本在网络上找不到)。返回头再到 Nokia 的网站上看,发现其页面文字中宣称所提供的 7710 SDK 本身就支持 CodeWarrior,但是在下载后的安装包里的 releasenotes.txt 中却又找不到支持 CodeWarrior 的文字,而对 Microsoft Visual Studio .NET 2003 和 Borland C++ BuilderX Mobile Edition1.5 的支持却是言之凿凿。真是一片混乱……

—— 记于百度空间

发表评论

电子邮件地址不会被公开。 必填项已用*标注